Index: /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization.Views/3.3/LinearProgrammingAlgorithmView.Designer.cs
===================================================================
--- /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization.Views/3.3/LinearProgrammingAlgorithmView.Designer.cs	(revision 16582)
+++ /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization.Views/3.3/LinearProgrammingAlgorithmView.Designer.cs	(revision 16582)
@@ -0,0 +1,159 @@
+﻿using HeuristicLab.Common.Resources;
+
+namespace HeuristicLab.ExactOptimization.Views {
+  partial class LinearProgrammingAlgorithmView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(LinearProgrammingAlgorithmView));
+      this.exportModelButton = new System.Windows.Forms.Button();
+      this.saveFileDialog = new System.Windows.Forms.SaveFileDialog();
+      this.showInRunCheckBox = new System.Windows.Forms.CheckBox();
+      this.tabControl.SuspendLayout();
+      this.parametersTabPage.SuspendLayout();
+      this.problemTabPage.SuspendLayout();
+      this.resultsTabPage.SuspendLayout();
+      this.runsTabPage.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
+      this.SuspendLayout();
+      // 
+      // parametersTabPage
+      // 
+      this.parametersTabPage.Size = new System.Drawing.Size(671, 404);
+      // 
+      // problemTabPage
+      // 
+      this.problemTabPage.Controls.Add(this.showInRunCheckBox);
+      this.problemTabPage.Controls.Add(this.exportModelButton);
+      this.problemTabPage.Controls.SetChildIndex(this.newProblemButton, 0);
+      this.problemTabPage.Controls.SetChildIndex(this.openProblemButton, 0);
+      this.problemTabPage.Controls.SetChildIndex(this.problemViewHost, 0);
+      this.problemTabPage.Controls.SetChildIndex(this.exportModelButton, 0);
+      this.problemTabPage.Controls.SetChildIndex(this.showInRunCheckBox, 0);
+      // 
+      // parameterCollectionView
+      // 
+      this.parameterCollectionView.Size = new System.Drawing.Size(659, 392);
+      // 
+      // problemViewHost
+      // 
+      this.problemViewHost.TabIndex = 4;
+      // 
+      // newProblemButton
+      // 
+      this.toolTip.SetToolTip(this.newProblemButton, "New Programmable Model");
+      // 
+      // openProblemButton
+      // 
+      this.toolTip.SetToolTip(this.openProblemButton, "Import Model From File");
+      // 
+      // resultsTabPage
+      // 
+      this.resultsTabPage.Size = new System.Drawing.Size(671, 404);
+      // 
+      // resultsView
+      // 
+      this.resultsView.Size = new System.Drawing.Size(659, 392);
+      // 
+      // runsTabPage
+      // 
+      this.runsTabPage.Size = new System.Drawing.Size(671, 404);
+      // 
+      // runsView
+      // 
+      this.runsView.Size = new System.Drawing.Size(659, 392);
+      // 
+      // storeAlgorithmInEachRunCheckBox
+      // 
+      this.toolTip.SetToolTip(this.storeAlgorithmInEachRunCheckBox, "Check to store a copy of the algorithm in each run.");
+      // 
+      // startButton
+      // 
+      this.toolTip.SetToolTip(this.startButton, "Start/Resume Algorithm");
+      // 
+      // pauseButton
+      // 
+      this.toolTip.SetToolTip(this.pauseButton, "Pause Algorithm");
+      // 
+      // stopButton
+      // 
+      this.toolTip.SetToolTip(this.stopButton, "Stop Algorithm");
+      // 
+      // resetButton
+      // 
+      this.toolTip.SetToolTip(this.resetButton, "Reset Algorithm");
+      // 
+      // nameTextBox
+      // 
+      this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
+      this.errorProvider.SetIconPadding(this.nameTextBox, 2);
+      // 
+      // exportModelButton
+      // 
+      this.exportModelButton.Image = VSImageLibrary.SaveAs;
+      this.exportModelButton.Location = new System.Drawing.Point(66, 6);
+      this.exportModelButton.Name = "exportModelButton";
+      this.exportModelButton.Size = new System.Drawing.Size(24, 24);
+      this.exportModelButton.TabIndex = 2;
+      this.toolTip.SetToolTip(this.exportModelButton, "Export Model To File");
+      this.exportModelButton.UseVisualStyleBackColor = true;
+      this.exportModelButton.Click += new System.EventHandler(this.exportModelButton_Click);
+      // 
+      // showInRunCheckBox
+      // 
+      this.showInRunCheckBox.AutoSize = true;
+      this.showInRunCheckBox.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
+      this.showInRunCheckBox.Location = new System.Drawing.Point(96, 11);
+      this.showInRunCheckBox.Name = "showInRunCheckBox";
+      this.showInRunCheckBox.Size = new System.Drawing.Size(90, 17);
+      this.showInRunCheckBox.TabIndex = 3;
+      this.showInRunCheckBox.Text = "&Show in Run:";
+      this.toolTip.SetToolTip(this.showInRunCheckBox, "Check to show the model in each run.");
+      this.showInRunCheckBox.UseVisualStyleBackColor = true;
+      this.showInRunCheckBox.CheckedChanged += new System.EventHandler(this.showInRunCheckBox_CheckedChanged);
+      // 
+      // LinearProgrammingAlgorithmView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Name = "LinearProgrammingAlgorithmView";
+      this.tabControl.ResumeLayout(false);
+      this.parametersTabPage.ResumeLayout(false);
+      this.problemTabPage.ResumeLayout(false);
+      this.problemTabPage.PerformLayout();
+      this.resultsTabPage.ResumeLayout(false);
+      this.runsTabPage.ResumeLayout(false);
+      this.runsTabPage.PerformLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    protected System.Windows.Forms.Button exportModelButton;
+    private System.Windows.Forms.SaveFileDialog saveFileDialog;
+    protected System.Windows.Forms.CheckBox showInRunCheckBox;
+  }
+}
Index: /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization.Views/3.3/LinearProgrammingAlgorithmView.cs
===================================================================
--- /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization.Views/3.3/LinearProgrammingAlgorithmView.cs	(revision 16582)
+++ /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization.Views/3.3/LinearProgrammingAlgorithmView.cs	(revision 16582)
@@ -0,0 +1,62 @@
+﻿using System;
+using System.Windows.Forms;
+using HeuristicLab.ExactOptimization.LinearProgramming;
+using HeuristicLab.MainForm;
+using HeuristicLab.Optimization.Views;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.ExactOptimization.Views {
+
+  [View(nameof(LinearProgrammingAlgorithmView))]
+  [Content(typeof(LinearProgrammingAlgorithm), IsDefaultView = true)]
+  public partial class LinearProgrammingAlgorithmView : BasicAlgorithmView {
+    public LinearProgrammingAlgorithmView() {
+      InitializeComponent();
+    }
+
+    protected override void newProblemButton_Click(object sender, EventArgs e) {
+      ((LinearProblem)Content.Problem).ProblemDefinition = new ProgrammableLinearProblemDefinition();
+    }
+
+    protected override void openProblemButton_Click(object sender, EventArgs e) {
+      openFileDialog.Title = "Import Model";
+      openFileDialog.Filter = "All Supported Files (*.mps;*.bin;*.prototxt)|*.mps;*.bin;*.prototxt|" +
+                              "Mathematical Programming System Files (*.mps)|*.mps|" +
+                              "Google OR-Tools Protocol Buffers Files (*.bin;*.prototxt)|*.bin;*.prototxt|" +
+                              "All Files (*.*)|*.*";
+
+      if (openFileDialog.ShowDialog(this) == DialogResult.OK) {
+        newProblemButton.Enabled = openProblemButton.Enabled = false;
+        problemViewHost.Enabled = false;
+
+        try {
+          ((LinearProblem)Content.Problem).ProblemDefinition = new FileBasedLinearProblemDefinition {
+            FileName = openFileDialog.FileName
+          };
+        } catch (Exception ex) {
+          ErrorHandling.ShowErrorDialog(this, ex);
+        } finally {
+          problemViewHost.Enabled = true;
+          newProblemButton.Enabled = openProblemButton.Enabled = true;
+        }
+      }
+    }
+
+    private void exportModelButton_Click(object sender, EventArgs e) {
+      saveFileDialog.Title = "Export Model";
+      saveFileDialog.Filter = "CPLEX LP File (*.lp)|*.lp|" +
+                              "Mathematical Programming System File (*.mps)|*.mps|" +
+                              "Google OR-Tools Protocol Buffers Text File (*.prototxt)|*.prototxt|" +
+                              "Google OR-Tools Protocol Buffers Binary File (*.bin)|*.bin";
+
+      if (saveFileDialog.ShowDialog() == DialogResult.OK) {
+        ((LinearProblem)Content.Problem).ExportModel(saveFileDialog.FileName);
+      }
+    }
+
+    private void showInRunCheckBox_CheckedChanged(object sender, EventArgs e) {
+      if (Content != null)
+        ((LinearProblem)Content.Problem).ProblemDefinitionParameter.GetsCollected = showInRunCheckBox.Checked;
+    }
+  }
+}
Index: /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization.Views/3.3/LinearProgrammingProblemView.Designer.cs
===================================================================
--- /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization.Views/3.3/LinearProgrammingProblemView.Designer.cs	(revision 16581)
+++ /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization.Views/3.3/LinearProgrammingProblemView.Designer.cs	(revision 16582)
@@ -23,5 +23,5 @@
 using HeuristicLab.Common.Resources;
 
-namespace HeuristicLab.MathematicalOptimization.Views {
+namespace HeuristicLab.ExactOptimization.Views {
   partial class LinearProgrammingProblemView {
     /// <summary> 
@@ -49,14 +49,8 @@
     private void InitializeComponent() {
       this.components = new System.ComponentModel.Container();
-      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(LinearProgrammingProblemView));
       this.panel1 = new System.Windows.Forms.Panel();
       this.ViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
-      this.panel2 = new System.Windows.Forms.Panel();
-      this.modelTypeNameLabel = new System.Windows.Forms.Label();
-      this.modelTypeLabel = new System.Windows.Forms.Label();
-      this.changeModelTypeButton = new System.Windows.Forms.Button();
       this.toolTip = new System.Windows.Forms.ToolTip(this.components);
       this.panel1.SuspendLayout();
-      this.panel2.SuspendLayout();
       this.SuspendLayout();
       // 
@@ -64,5 +58,4 @@
       // 
       this.panel1.Controls.Add(this.ViewHost);
-      this.panel1.Controls.Add(this.panel2);
       this.panel1.Dock = System.Windows.Forms.DockStyle.Fill;
       this.panel1.Location = new System.Drawing.Point(0, 0);
@@ -77,51 +70,11 @@
       this.ViewHost.Dock = System.Windows.Forms.DockStyle.Fill;
       this.ViewHost.Enabled = false;
-      this.ViewHost.Location = new System.Drawing.Point(0, 30);
+      this.ViewHost.Location = new System.Drawing.Point(0, 0);
       this.ViewHost.Name = "ViewHost";
       this.ViewHost.ReadOnly = false;
-      this.ViewHost.Size = new System.Drawing.Size(300, 120);
+      this.ViewHost.Size = new System.Drawing.Size(300, 150);
       this.ViewHost.TabIndex = 6;
       this.ViewHost.ViewsLabelVisible = false;
       this.ViewHost.ViewType = null;
-      // 
-      // panel2
-      // 
-      this.panel2.Controls.Add(this.modelTypeNameLabel);
-      this.panel2.Controls.Add(this.modelTypeLabel);
-      this.panel2.Controls.Add(this.changeModelTypeButton);
-      this.panel2.Dock = System.Windows.Forms.DockStyle.Top;
-      this.panel2.Location = new System.Drawing.Point(0, 0);
-      this.panel2.Name = "panel2";
-      this.panel2.Size = new System.Drawing.Size(300, 30);
-      this.panel2.TabIndex = 5;
-      // 
-      // modelTypeNameLabel
-      // 
-      this.modelTypeNameLabel.AutoSize = true;
-      this.modelTypeNameLabel.Location = new System.Drawing.Point(95, 9);
-      this.modelTypeNameLabel.Name = "modelTypeNameLabel";
-      this.modelTypeNameLabel.Size = new System.Drawing.Size(31, 13);
-      this.modelTypeNameLabel.TabIndex = 6;
-      this.modelTypeNameLabel.Text = "none";
-      // 
-      // modelTypeLabel
-      // 
-      this.modelTypeLabel.AutoSize = true;
-      this.modelTypeLabel.Location = new System.Drawing.Point(3, 9);
-      this.modelTypeLabel.Name = "modelTypeLabel";
-      this.modelTypeLabel.Size = new System.Drawing.Size(39, 13);
-      this.modelTypeLabel.TabIndex = 5;
-      this.modelTypeLabel.Text = "Model Type:";
-      // 
-      // changeModelTypeButton
-      // 
-      this.changeModelTypeButton.Image = VSImageLibrary.RefreshDocument;
-      this.changeModelTypeButton.Location = new System.Drawing.Point(68, 3);
-      this.changeModelTypeButton.Name = "changeModelType";
-      this.changeModelTypeButton.Size = new System.Drawing.Size(24, 24);
-      this.changeModelTypeButton.TabIndex = 4;
-      this.toolTip.SetToolTip(this.changeModelTypeButton, "Change Model Type");
-      this.changeModelTypeButton.UseVisualStyleBackColor = true;
-      this.changeModelTypeButton.Click += new System.EventHandler(this.changeModelTypeButton_Click);
       // 
       // LinearProgrammingProblemView
@@ -131,6 +84,4 @@
       this.Size = new System.Drawing.Size(300, 150);
       this.panel1.ResumeLayout(false);
-      this.panel2.ResumeLayout(false);
-      this.panel2.PerformLayout();
       this.ResumeLayout(false);
 
@@ -141,10 +92,6 @@
     private System.Windows.Forms.Panel panel1;
     private MainForm.WindowsForms.ViewHost ViewHost;
-    private System.Windows.Forms.Panel panel2;
-    protected System.Windows.Forms.Button changeModelTypeButton;
     private System.Windows.Forms.ToolTip toolTip;
     protected System.Windows.Forms.Button newProblemDefinitionButton;
-    private System.Windows.Forms.Label modelTypeLabel;
-    private System.Windows.Forms.Label modelTypeNameLabel;
   }
 }
Index: /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization.Views/3.3/LinearProgrammingProblemView.cs
===================================================================
--- /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization.Views/3.3/LinearProgrammingProblemView.cs	(revision 16581)
+++ /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization.Views/3.3/LinearProgrammingProblemView.cs	(revision 16582)
@@ -21,19 +21,15 @@
 
 using System;
-using System.Windows.Forms;
 using HeuristicLab.Core.Views;
+using HeuristicLab.ExactOptimization.LinearProgramming;
 using HeuristicLab.MainForm;
 using HeuristicLab.MainForm.WindowsForms;
-using HeuristicLab.MathematicalOptimization.LinearProgramming;
-using HeuristicLab.PluginInfrastructure;
 
-namespace HeuristicLab.MathematicalOptimization.Views {
+namespace HeuristicLab.ExactOptimization.Views {
 
   [View(nameof(LinearProgrammingProblemView))]
-  [Content(typeof(LinearProgrammingProblem), true)]
+  [Content(typeof(LinearProblem), IsDefaultView = true)]
   public partial class LinearProgrammingProblemView : ItemView {
     protected ViewHost definitionView;
-
-    private TypeSelectorDialog problemTypeSelectorDialog;
 
     public LinearProgrammingProblemView() {
@@ -42,6 +38,6 @@
     }
 
-    public new LinearProgrammingProblem Content {
-      get => (LinearProgrammingProblem)base.Content;
+    public new LinearProblem Content {
+      get => (LinearProblem)base.Content;
       set => base.Content = value;
     }
@@ -49,6 +45,6 @@
     protected override void DeregisterContentEvents() {
       base.DeregisterContentEvents();
+      Content.NameChanged -= ContentOnNameChanged;
       Content.ProblemDefinitionChanged -= ContentOnProblemDefinitionChanged;
-      Content.NameChanged -= ContentOnNameChanged;
     }
 
@@ -69,20 +65,4 @@
     }
 
-    private void changeModelTypeButton_Click(object sender, EventArgs e) {
-      if (problemTypeSelectorDialog == null) {
-        problemTypeSelectorDialog = new TypeSelectorDialog { Caption = "Select Model Type" };
-        problemTypeSelectorDialog.TypeSelector.Caption = "Available Model Types";
-        problemTypeSelectorDialog.TypeSelector.Configure(typeof(ILinearProgrammingProblemDefinition), false, true);
-      }
-      if (problemTypeSelectorDialog.ShowDialog(this) == DialogResult.OK) {
-        try {
-          Content.ProblemDefinition =
-            (ILinearProgrammingProblemDefinition)problemTypeSelectorDialog.TypeSelector.CreateInstanceOfSelectedType();
-        } catch (Exception ex) {
-          ErrorHandling.ShowErrorDialog(this, ex);
-        }
-      }
-    }
-
     private void ContentOnNameChanged(object sender, EventArgs eventArgs) {
       Caption = Content.Name;
@@ -90,23 +70,5 @@
 
     private void ContentOnProblemDefinitionChanged(object sender, EventArgs eventArgs) {
-      var problemDefinition = ((LinearProgrammingProblem)sender).ProblemDefinition;
-      definitionView.Content = problemDefinition;
-
-      switch (problemDefinition) {
-        case null:
-          modelTypeNameLabel.Text = "none";
-          break;
-
-        case ProgrammableLinearProgrammingProblemDefinition _:
-          modelTypeNameLabel.Text = "Script";
-          break;
-
-        case FileBasedLinearProgrammingProblemDefinition _:
-          modelTypeNameLabel.Text = "File";
-          break;
-
-        default:
-          throw new NotImplementedException("Unknown problem definition type.");
-      }
+      definitionView.Content = ((LinearProblem)sender).ProblemDefinition;
     }
   }
Index: /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization.Views/3.3/Plugin.cs.frame
===================================================================
--- /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization.Views/3.3/Plugin.cs.frame	(revision 16581)
+++ /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization.Views/3.3/Plugin.cs.frame	(revision 16582)
@@ -22,8 +22,8 @@
 using HeuristicLab.PluginInfrastructure;
 
-namespace HeuristicLab.MathematicalOptimization {
+namespace HeuristicLab.ExactOptimization {
 
-  [Plugin("HeuristicLab.MathematicalOptimization.Views", "Views for mathematical optimization", "3.3.15.$WCREV$")]
-  [PluginFile("HeuristicLab.MathematicalOptimization.Views-3.3.dll", PluginFileType.Assembly)]
+  [Plugin("HeuristicLab.ExactOptimization.Views", "Views for exact optimization", "3.3.15.$WCREV$")]
+  [PluginFile("HeuristicLab.ExactOptimization.Views-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.CodeEditor", "3.4")]
   [PluginDependency("HeuristicLab.Common", "3.3")]
@@ -32,11 +32,14 @@
   [PluginDependency("HeuristicLab.Core.Views", "3.3")]
   [PluginDependency("HeuristicLab.Data", "3.3")]
+  [PluginDependency("HeuristicLab.Data.Views", "3.3")]
   [PluginDependency("HeuristicLab.MainForm", "3.3")]
   [PluginDependency("HeuristicLab.MainForm.WindowsForms", "3.3")]
-  [PluginDependency("HeuristicLab.MathematicalOptimization", "3.3")]
+  [PluginDependency("HeuristicLab.Optimization", "3.3")]
+  [PluginDependency("HeuristicLab.Optimization.Views", "3.3")]
+  [PluginDependency("HeuristicLab.ExactOptimization", "3.3")]
   [PluginDependency("HeuristicLab.Problems.Programmable", "3.3")]
   [PluginDependency("HeuristicLab.Scripting", "3.3")]
   [PluginDependency("HeuristicLab.Scripting.Views", "3.3")]
-  public class HeuristicLabMathematicalOptimizationViewsPlugin : PluginBase {
+  public class HeuristicLabExactOptimizationViewsPlugin : PluginBase {
   }
 }
Index: /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization.Views/3.3/ProgrammableLinearProblemDefinitionView.Designer.cs
===================================================================
--- /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization.Views/3.3/ProgrammableLinearProblemDefinitionView.Designer.cs	(revision 16582)
+++ /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization.Views/3.3/ProgrammableLinearProblemDefinitionView.Designer.cs	(revision 16582)
@@ -0,0 +1,179 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+
+
+namespace HeuristicLab.ExactOptimization.Views {
+  partial class ProgrammableLinearProblemDefinitionView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(ProgrammableLinearProblemDefinitionView));
+      this.splitContainer2 = new System.Windows.Forms.SplitContainer();
+      this.variableStoreView = new HeuristicLab.Scripting.Views.VariableStoreView();
+      this.infoTabControl.SuspendLayout();
+      this.outputTabPage.SuspendLayout();
+      this.errorListTabPage.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).BeginInit();
+      this.splitContainer1.Panel1.SuspendLayout();
+      this.splitContainer1.Panel2.SuspendLayout();
+      this.splitContainer1.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer2)).BeginInit();
+      this.splitContainer2.Panel1.SuspendLayout();
+      this.splitContainer2.Panel2.SuspendLayout();
+      this.splitContainer2.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // compileButton
+      // 
+      this.toolTip.SetToolTip(this.compileButton, "Compile (F6)");
+      // 
+      // infoTabControl
+      // 
+      this.infoTabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)));
+      this.infoTabControl.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.infoTabControl.Location = new System.Drawing.Point(0, 0);
+      this.infoTabControl.Size = new System.Drawing.Size(572, 113);
+      // 
+      // outputTabPage
+      // 
+      this.outputTabPage.Size = new System.Drawing.Size(564, 87);
+      // 
+      // outputTextBox
+      // 
+      this.outputTextBox.Size = new System.Drawing.Size(558, 81);
+      // 
+      // errorListTabPage
+      // 
+      this.errorListTabPage.Size = new System.Drawing.Size(0, 87);
+      // 
+      // errorListView
+      // 
+      this.errorListView.Size = new System.Drawing.Size(0, 81);
+      // 
+      // codeEditor
+      // 
+      this.codeEditor.Size = new System.Drawing.Size(572, 429);
+      // 
+      // splitContainer1
+      // 
+      this.splitContainer1.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)));
+      this.splitContainer1.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.splitContainer1.FixedPanel = System.Windows.Forms.FixedPanel.Panel2;
+      this.splitContainer1.Location = new System.Drawing.Point(0, 0);
+      this.splitContainer1.Size = new System.Drawing.Size(572, 546);
+      this.splitContainer1.SplitterDistance = 429;
+      // 
+      // nameTextBox
+      // 
+      this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
+      this.errorProvider.SetIconPadding(this.nameTextBox, 2);
+      // 
+      // splitContainer2
+      // 
+      this.splitContainer2.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.splitContainer2.FixedPanel = System.Windows.Forms.FixedPanel.Panel2;
+      this.splitContainer2.Location = new System.Drawing.Point(6, 56);
+      this.splitContainer2.MinimumSize = new System.Drawing.Size(300, 0);
+      this.splitContainer2.Name = "splitContainer2";
+      // 
+      // splitContainer2.Panel1
+      // 
+      this.splitContainer2.Panel1.Controls.Add(this.splitContainer1);
+      // 
+      // splitContainer2.Panel2
+      // 
+      this.splitContainer2.Panel2.Controls.Add(this.variableStoreView);
+      this.splitContainer2.Panel2MinSize = 250;
+      this.splitContainer2.Size = new System.Drawing.Size(826, 546);
+      this.splitContainer2.SplitterDistance = 572;
+      this.splitContainer2.TabIndex = 10;
+      // 
+      // variableStoreView
+      // 
+      this.variableStoreView.Caption = "ItemCollection View";
+      this.variableStoreView.Content = null;
+      this.variableStoreView.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.variableStoreView.Location = new System.Drawing.Point(0, 0);
+      this.variableStoreView.Name = "variableStoreView";
+      this.variableStoreView.ReadOnly = true;
+      this.variableStoreView.Size = new System.Drawing.Size(250, 546);
+      this.variableStoreView.TabIndex = 10;
+      // 
+      // ProgrammableLinearProblemDefinitionView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.splitContainer2);
+      this.Name = "ProgrammableLinearProblemDefinitionView";
+      this.Controls.SetChildIndex(this.infoTextLabel, 0);
+      this.Controls.SetChildIndex(this.compileButton, 0);
+      this.Controls.SetChildIndex(this.splitContainer2, 0);
+      this.Controls.SetChildIndex(this.nameLabel, 0);
+      this.Controls.SetChildIndex(this.nameTextBox, 0);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
+      this.infoTabControl.ResumeLayout(false);
+      this.outputTabPage.ResumeLayout(false);
+      this.outputTabPage.PerformLayout();
+      this.errorListTabPage.ResumeLayout(false);
+      this.splitContainer1.Panel1.ResumeLayout(false);
+      this.splitContainer1.Panel2.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).EndInit();
+      this.splitContainer1.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
+      this.splitContainer2.Panel1.ResumeLayout(false);
+      this.splitContainer2.Panel2.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer2)).EndInit();
+      this.splitContainer2.ResumeLayout(false);
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.SplitContainer splitContainer2;
+    private Scripting.Views.VariableStoreView variableStoreView;
+  }
+}
